# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/mt8195-mt6359.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MediaTek MT8195 ASoC sound card driver

maintainers:
  - Trevor Wu <trevor.wu@mediatek.com>

description:
  This binding describes the MT8195 sound card.

properties:
  compatible:
    enum:
      - mediatek,mt8195_mt6359_rt1019_rt5682
      - mediatek,mt8195_mt6359_rt1011_rt5682
      - mediatek,mt8195_mt6359_max98390_rt5682

  model:
    $ref: /schemas/types.yaml#/definitions/string
    description: User specified audio sound card name

  mediatek,platform:
    $ref: "/schemas/types.yaml#/definitions/phandle"
    description: The phandle of MT8195 ASoC platform.

  mediatek,dptx-codec:
    $ref: "/schemas/types.yaml#/definitions/phandle"
    description: The phandle of MT8195 Display Port Tx codec node.

  mediatek,hdmi-codec:
    $ref: "/schemas/types.yaml#/definitions/phandle"
    description: The phandle of MT8195 HDMI codec node.

  mediatek,adsp:
    $ref: "/schemas/types.yaml#/definitions/phandle"
    description: The phandle of MT8195 ADSP platform.

  mediatek,dai-link:
    $ref: /schemas/types.yaml#/definitions/string-array
    description:
      A list of the desired dai-links in the sound card. Each entry is a
      name defined in the machine driver.

additionalProperties: false

required:
  - compatible
  - mediatek,platform

examples:
  - |

    sound: mt8195-sound {
        compatible = "mediatek,mt8195_mt6359_rt1019_rt5682";
        mediatek,platform = <&afe>;
        pinctrl-names = "default";
        pinctrl-0 = <&aud_pins_default>;
    };

...
